=== Examples/OneViewAndTrackingUsingMicronTracker/CMakeLists.txt ===
PROJECT(OneViewAndTrackingUsingMicronTracker)
  
SET(OneViewAndTrackingUsingMicronTracker_GUI_SRCS
  OneViewAndTrackingUsingMicronTrackerGUI.fl
  )
  
SET(OneViewAndTrackingUsingMicronTracker_SRCS
  OneViewAndTrackingUsingMicronTracker.cxx
  )

FLTK_WRAP_UI(OneViewAndTrackingUsingMicronTracker ${OneViewAndTrackingUsingMicronTracker_GUI_SRCS})
ADD_EXECUTABLE(OneViewAndTrackingUsingMicronTracker ${OneViewAndTrackingUsingMicronTracker_FLTK_UI_SRCS} ${OneViewAndTrackingUsingMicronTracker_SRCS})
TARGET_LINK_LIBRARIES(OneViewAndTrackingUsingMicronTracker IGSTK)
