=== debian/changelog ===
igstk (4.4.0-6) unstable; urgency=medium

  * debian/rules: Do not try to install examples for arch only builds
    Closes: #733064

 -- Andreas Tille <tille@debian.org>  Wed, 25 Dec 2013 15:33:41 +0100

igstk (4.4.0-5) unstable; urgency=medium

  * *really* drop libgdcm2-dev Build-Dependency

 -- Andreas Tille <tille@debian.org>  Wed, 11 Dec 2013 15:48:19 +0100

igstk (4.4.0-4) unstable; urgency=medium

  * Drop libgdcm2-dev Build-Dependency
    Closes: #731918

 -- Andreas Tille <tille@debian.org>  Wed, 11 Dec 2013 13:47:30 +0100

igstk (4.4.0-3) unstable; urgency=medium

  * debian/control:
     - cme fix dpkg-control
     - Build-Depends: libopenigtlink-dev
       Closes: #731868
     - canonical VCS fields
     - debhelper 9
  * debian/copyright: DEP5
  * debian/watch: Adapt to new download page
  * debian/get-orig-source: There is no point in just repackaging upstream
    download tarball
  * debian/rules:
     - use dh
     - force propagation of hardening options

 -- Andreas Tille <tille@debian.org>  Wed, 11 Dec 2013 09:01:23 +0100

igstk (4.4.0-2) unstable; urgency=low

  * remove unnecessary dependencies (Closes: #640558)
  * upload to unstable

 -- Dominique Belhachemi <domibel@debian.org>  Wed, 28 Sep 2011 22:42:34 -0400

igstk (4.4.0-1) experimental; urgency=low

  * new upstream release
  * debian/rules remove redundant "--no-add-needed" option
  * remove static libraries
  * add cdbs dependency
  * compat 8

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 09 May 2011 12:28:32 -0400

igstk (4.2.0-5) unstable; urgency=low

  * fixed a FTBFS on Debian GNU/kfreebsd
  * updated copyright file
  * Removed build dependency libqtwebkit-dev

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 20 Mar 2011 18:06:14 -0400
