=== debian/control ===
Source: igstk
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dominique Belhachemi <domibel@debian.org>,
           Steve M. Robbins <smr@debian.org>,
           Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libinsighttoolkit3-dev (>= 3.20),
               libvtk5-dev,
               libqt4-dev,
               libvtk5-qt4-dev,
               libfltk1.1-dev,
               libopenigtlink-dev
Build-Depends-Indep: doxygen,
                     graphviz
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/igstk/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/igstk/trunk/
Homepage: http://www.igstk.org

Package: libigstk4-dev
Architecture: any
Section: libdevel
Depends: libigstk4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libinsighttoolkit3-dev,
         libvtk5-dev
Suggests: libqt4-dev,
          libvtk5-qt4-dev,
          libfltk1.1-dev
Description: Toolkit for image-guided surgery applications - development
 The Image-Guided Surgery Toolkit (IGstk: pronounced IGStick) is a
 high-level component-based framework providing common functionality
 for image-guided surgery applications.
 .
 This software framework consists of a set of high-level components
 integrated with other low-level open source software libraries and
 application programming interfaces (API) from hardware vendors.
 .
 The cornerstone of IGstk is robustness. IGstk provides the following
 high-level functionality:
 Ability to read and display medical images including CT and MRI in
 DICOM format.
 An interface to common tracking hardware (e.g. AURORA from
 Northern Digital Inc.). A graphical user interface and visualization
 capability including a four-quadrant view (axial, sagittal, coronal,
 and 3D) as well as a multi-slice axial view (from 1 by 1 to many by
 many such as 10 by 10).
 .
 Registration: point based registration and a means for selecting
 these points. Robust common internal software services for logging,
 exception-handling and problem resolution.
 .
 This package contains the development files needed to build
 your own IGSTK applications.

Package: libigstk4
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Toolkit for image-guided surgery applications - runtime
 The Image-Guided Surgery Toolkit (IGstk: pronounced IGStick) is a
 high-level component-based framework providing common functionality
 for image-guided surgery applications.
 .
 This software framework consists of a set of high-level components
 integrated with other low-level open source software libraries and
 application programming interfaces (API) from hardware vendors.
 .
 The cornerstone of IGstk is robustness. IGstk provides the following
 high-level functionality:
 Ability to read and display medical images including CT and MRI in
 DICOM format.
 .
 An interface to common tracking hardware (e.g. AURORA from
 Northern Digital Inc.). A graphical user interface and visualization
 capability including a four-quadrant view (axial, sagittal, coronal,
 and 3D) as well as a multi-slice axial view (from 1 by 1 to many by
 many such as 10 by 10).
 .
 Registration: point based registration and a means for selecting
 these points. Robust common internal software services for logging,
 exception-handling and problem resolution.

Package: libigstk4-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libigstk4 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for libigstk4
 The Image-Guided Surgery Toolkit (IGstk: pronounced IGStick) is a
 high-level component-based framework providing common functionality
 for image-guided surgery applications.
 .
 This software framework consists of a set of high-level components
 integrated with other low-level open source software libraries and
 application programming interfaces (API) from hardware vendors.
 .
 The cornerstone of IGstk is robustness. IGstk provides the following
 high-level functionality:
 Ability to read and display medical images including CT and MRI in
 DICOM format.
 .
 An interface to common tracking hardware (e.g. AURORA from
 Northern Digital Inc.). A graphical user interface and visualization
 capability including a four-quadrant view (axial, sagittal, coronal,
 and 3D) as well as a multi-slice axial view (from 1 by 1 to many by
 many such as 10 by 10).
 .
 Registration: point based registration and a means for selecting
 these points. Robust common internal software services for logging,
 exception-handling and problem resolution.
 .
 This package contains the debugging symbols for libigstk4.

Package: igstk-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Toolkit for image-guided surgery applications - documentation
 The Image-Guided Surgery Toolkit (IGstk: pronounced IGStick) is a
 high-level component-based framework providing common functionality
 for image-guided surgery applications.
 .
 This software framework consists of a set of high-level components
 integrated with other low-level open source software libraries and
 application programming interfaces (API) from hardware vendors.
 .
 The cornerstone of IGstk is robustness. IGstk provides the following
 high-level functionality:
 Ability to read and display medical images including CT and MRI in
 DICOM format.
 .
 An interface to common tracking hardware (e.g. AURORA from
 Northern Digital Inc.). A graphical user interface and visualization
 capability including a four-quadrant view (axial, sagittal, coronal,
 and 3D) as well as a multi-slice axial view (from 1 by 1 to many by
 many such as 10 by 10).
 .
 Registration: point based registration and a means for selecting
 these points. Robust common internal software services for logging,
 exception-handling and problem resolution.
 .
 This package contains documentation files for IGstk.

Package: igstk-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libigstk4-dev
Description: Toolkit for image-guided surgery applications - examples
 The Image-Guided Surgery Toolkit (IGstk: pronounced IGStick) is a
 high-level component-based framework providing common functionality
 for image-guided surgery applications.
 .
 This software framework consists of a set of high-level components
 integrated with other low-level open source software libraries and
 application programming interfaces (API) from hardware vendors.
 .
 The cornerstone of IGstk is robustness. IGstk provides the following
 high-level functionality:
 Ability to read and display medical images including CT and MRI in
 DICOM format.
 An interface to common tracking hardware (e.g. AURORA from
 Northern Digital Inc.). A graphical user interface and visualization
 capability including a four-quadrant view (axial, sagittal, coronal,
 and 3D) as well as a multi-slice axial view (from 1 by 1 to many by
 many such as 10 by 10).
 .
 Registration: point based registration and a means for selecting
 these points. Robust common internal software services for logging,
 exception-handling and problem resolution.
 .
 This package contains examples from the IGstk source.
