=== debian/watch ===
version=3
opts="uversionmangle=s/-/./" \
  http://igstk.org/IGSTK/resources/software.html .*/IGSTK-([\d\.-]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
